QGIS vector "union": wrong results (again?)

2014-11-25 04:26 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19960

Description

I feel this is a recurring issue, I think that at some point this was fixed, now in master/2.6 is broke again.

See attached project/data:

try unioning "buf" and "conc".

In QGIS results the "input layer 1" is correctly unioned to the geometries of the "input layer 2", but then then it is also repeated 3 times

more (in the original state).

In the project I made a copy of the wrong result output where I edited wrong the geometries (by moving them) so is clear were the error is.

This affects both the "ftools" tool and the processing one.

Associated revisions

Revision 059fd2c4 - 2015-02-12 04:39 AM - Martin Dobias

Fix #11724 - do to not add extra geometries in union (ftools + processing)

History

#1 - 2015-02-11 07:49 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"059fd2c461b78bf9e5fe8c64e15fa7a957d1b592".

Files

union.zip 4.49 MB 2014-11-25 Giovanni Manghi
